curl --request POST \
--url https://api.anchorbrowser.io/v1/profiles \
--header 'Content-Type: application/json' \
--header 'anchor-api-key: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.anchorbrowser.io/v1/profiles"
payload = { "name": "<string>" }
headers = {
"anchor-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'anchor-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.anchorbrowser.io/v1/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"status": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Create Profile
Creates a new profile from a browser session. A Profile stores cookies, local storage, and cache.
Authorizations
API key for your Anchor Browser account, sent as the anchor-api-key header on every
request. Create one at app.anchorbrowser.io (API Access),
or obtain one programmatically via the unauthenticated agent-access flow
(POST /v1/agent-access).
Body
The name of the profile.
A description of the profile.
The source of the profile data. currently only session is supported.
session The browser session ID is required if the source is set to session. The browser session must be running, and the profile will be stored once the browser session terminates.
Whether to use a dedicated sticky IP for this profile. Defaults to false.
Response
Profile created successfully.
Show child attributes
Show child attributes
Was this page helpful?

